﻿

/*
 *	Root
==================================================== */

:root {
    --color-primary: var(--color-purple);
    --color-primary-rgb: var(--color-purple-rgb);
    --color-dark: var(--color-indigo);
    --color-dark-rgb: var(--color-indigo-rgb);
    --color-light: var(--color-mint);
    --color-light-rgb: var(--color-mint-rgb);
    /**/
    /*--bs-link-color: #6C37D3;
    --bs-link-hover-color: #562CA9;*/
    /**/
    /*--bs-link-color: var(--color-primary);
    --bs-link-hover-color: color-mix(in srgb, var(--color-primary) 80%, black);*/
}



/*
 *	Block Heading
==================================================== */

.block-heading {
    --heading-border-color: var(--color-sage);
}



/*
 *	Hero
==================================================== */

.hero {
    background-color: #666;
}

.hero::after {
    background-image: linear-gradient(135deg, rgba(255,255,255,1), rgba(255,255,255,0) 95%);
    content: '';
    inset: 0;
    position: absolute;
    z-index: 0;
}

.hero > .container > .row {
    justify-content: flex-start !important;
}

.hero .alert {
    --bs-alert-bg: transparent;
    --bs-alert-padding-x: 1rem;
    --bs-alert-padding-y: 1rem;
    --bs-alert-margin-bottom: 1rem;
    --bs-alert-bg: transparent;
    --bs-alert-color: inherit;
    --bs-alert-border-color: transparent;
    text-shadow: 0 1px 1px rgba(255,255,255,.25), 0 1px 5px rgba(255,255,255,.25);
    backdrop-filter: none;
}

.hero .alert .alert-heading {
    color: var(--color-indigo);
    font-size: calc(1.375rem + 1.5vw);
}

@media (min-width: 1200px) {
    .hero .alert .alert-heading {
        font-size: 2.5rem;
    }
}

.hero .alert p {
    font-size: 1.25rem;
    font-weight: 400;
}

.hero .alert .btn {
    text-shadow: none;
    box-shadow: 0 1px 5px rgba(0,0,0,.2);
}



/*
 *	Features
==================================================== */

:is(.features-1,.features-2) .feature:is(a):hover {
    --card-link-color: var(--color-sage);
}

:is(.features-3,.features-4) .feature {
    --card-bar-color: var(--color-sage);
}

:is(.features-3,.features-4) .feature:is(a):hover {
    --bs-card-border-color: var(--color-sage);
}

.bg-indigo .features-5 .feature {
    --card-title-color: var(--color-sage);
}

:is(.features-7,.features-8) .feature {
    --card-bar-color: var(--color-sage);
}

.features-8 .feature {
    --bs-card-border-color: var(--color-sage);
}



/*
 *	Site Header
==================================================== */

.site-header {
    --site-header-bg: var(--color-mint);
    box-shadow: 0 -1.5rem 1.5rem 2rem rgba(0,0,0,.25);
}

.site-header .navbar {
    --bs-navbar-color: rgba(var(--color-indigo-rgb), 0.55);
    --bs-navbar-hover-color: rgba(--color-indigo-rgb), 0.75);
    --bs-navbar-disabled-color: rgba(var(--color-indigo-rgb), 0.25);
    --bs-navbar-active-color: var(--color-indigo);
    --bs-navbar-brand-color: var(--color-indigo);
    --bs-navbar-brand-hover-color: var(--color-indigo);
    --bs-navbar-toggler-border-color: rgba(var(--color-indigo-rgb), 0.1);
}

@media screen and (min-width: 768px) {

    .site-header .navbar-expand-md .nav-link[aria-expanded="true"],
    .site-header .navbar-expand-md .nav-link:hover {
        border-color: var(--color-sage);
    }
}

@media screen and (min-width: 992px) {

    .site-header .navbar-expand-lg .nav-link[aria-expanded="true"],
    .site-header .navbar-expand-lg .nav-link:hover {
        border-color: var(--color-sage);
    }
}

@media screen and (min-width: 1200px) {

    .site-header .navbar-expand-xl .nav-link[aria-expanded="true"],
    .site-header .navbar-expand-xl .nav-link:hover {
        border-color: var(--color-sage);
    }
}

@media screen and (min-width: 1400px) {

    .site-header .navbar-expand-xxl .nav-link[aria-expanded="true"],
    .site-header .navbar-expand-xxl .nav-link:hover {
        border-color: var(--color-sage);
    }
}



/*
 *	Site Footer
==================================================== */

.site-footer {
    --site-footer-bg: var(--color-mint);
    --site-footer-color: rgba(var(--color-indigo-rgb),1);
    --site-footer-link-color: rgba(var(--color-indigo-rgb),.7);
    --site-footer-link-hover-color: rgba(var(--color-indigo-rgb),1);
    --disclaimer-bg: rgba(var(--color-sage-rgb),.25);
    --disclaimer-color: var(--color-indigo);
    --copyright-bg: #fff;
    --copyright-border-color: #fff;
    --copyright-color: rgba(var(--color-indigo-rgb),.8);
    --copyright-hover-color: rgba(var(--color-indigo-rgb),1);
    border-top-color: var(--color-sage);
}



/*
 *	Latest Posts
==================================================== */

.post-slider .post-link:hover .post-card,
.post-slider .post-link:focus .post-card {
    box-shadow: 0 0 0 .25rem rgba(var(--color-sage-rgb), .25);
}

